_OpenScript( "includes/vector3.lua" )
myindex = 0
owner = 0
function onInit()
	_SWEPSetSound(MyIndex, "single_shot", "")
end

function onThink()
end

function onPrimaryAttack( )
	
	if _PlayerInfo(Owner, "health") >= 74 then 
	
		_EntEmitSound(Owner, "items/medshotno1.wav")
		_PlayerViewModelSequence(Owner, ACT_ARM);
		
		 else

	local hp = (_PlayerInfo(Owner, "health"))
	hp = hp + 25
	_PlayerSetHealth(Owner, hp)
	
	_EntEmitSound(Owner, "items/smallmedkit1.wav")
	_SWEPUseAmmo(MyIndex, 0, 1)

end
end

function onSecondaryAttack()
end

function onReload( )
	return false;
end

function getWeaponSwapHands()
	return false;	
end

function getWeaponFOV()
	return 65;	
end


function getWeaponSlot()
	return 1;	
end

function getWeaponSlotPos()
	return 3;	
end

function getFiresUnderwater()
	return true;
end

function getReloadsSingly()
	return true;
end

function getDamage()
	return 0;
end

function getPrimaryShotDelay()
	return 9.5;
end

function getSecondaryShotDelay()
	return 0.3;
end

function getPrimaryIsAutomatic()
	return false;
end

function getSecondaryIsAutomatic()
	return false;
end

function getPrimaryAmmoType()
	return "357";
end

function getSecondaryAmmoType()
	return "none";
end

function getMaxClipPrimary()
	return 1;
end

function getMaxClipSecondary()
	return -1;
end

function getDefClipPrimary()
	return 1;
end


function getDefClipSecondary()
	return -1;
end

function getPrimaryScriptOverride()
	return 3;
end

function getSecondaryScriptOverride()
	return 3;
end

function getBulletSpread()
	return vector3( 0.0, 0.0, 0.0 );
end

function getViewKick()
	return vector3( 1, 0.0, 0.0);
end

function getViewKickRandom()
	return vector3( 0.0, 0.0, 0.0 );
end

function getViewModel( )
	return "models/weapons/v_c4.mdl";
end

function getWorldModel( )
	return "models/weapons/w_c4.mdl";
end

function getClassName()
	return "weapon_medipak";
end

function getAnimPrefix()
	return "slam";
end

function getPrintName()
	return "Medikit";
end
